Bug 218170 - samba create_builtin_users failure
samba create_builtin_users failure
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
5
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Simo Sorce
David Lawrence
http://lists.samba.org/archive/samba/...
bzcl34nup
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-02 09:05 EST by josip
Modified: 2008-05-06 13:06 EDT (History)
3 users (show)

See Also:
Fixed In Version: 3.0.24-1.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 13:06:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description josip 2006-12-02 09:05:03 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.0.8) Gecko/20061025 Firefox/1.5.0.8

Description of problem:
Samba-3.0.23c-1.fc5 generates repeated errors:

[2006/12/02 06:21:03, 0] auth/auth_util.c:create_builtin_administrators(785)
  create_builtin_administrators: Failed to create Administrators
[2006/12/02 06:21:03, 0] auth/auth_util.c:create_builtin_users(751)
  create_builtin_users: Failed to create Users

This is apparently due to major changes in Samba code, which now requires winbind service as well.  Starting winbind with the default configuration doesn't fix this problem.  Some hints about additional configuration that may be needed are at http://lists.samba.org/archive/samba/2006-August/124373.html which  implies that as of Samba 3.0.23b one needs 'windbind nested groups' plus 'net sam' plus an idmap backend (tdb or ldap).

This extensive Samba reconfiguation needs to be explained and some guidance provided.


Version-Release number of selected component (if applicable):
samba-3.0.23c-1.fc5

How reproducible:
Always


Steps to Reproduce:
1. start samba on FC5 server
2. connect from Windows XP Home client
3. look at logs on server

Actual Results:
[2006/12/02 06:21:03, 0] auth/auth_util.c:create_builtin_administrators(785)
  create_builtin_administrators: Failed to create Administrators
[2006/12/02 06:21:03, 0] auth/auth_util.c:create_builtin_users(751)
  create_builtin_users: Failed to create Users

Expected Results:
no errors

Additional info:
http://lists.samba.org/archive/samba/2006-August/124373.html
http://lists.samba.org/archive/samba/2006-September/125543.html
Comment 1 Guenther Deschner 2007-03-15 10:29:59 EDT
The log level warning should be fixed in 3.0.24.

Please reopen if you still have an issue with this.
Comment 2 josip 2007-07-10 09:41:17 EDT
I now have samba-3.0.24-7.fc6 yet the problem persists:

Jul  9 20:31:06 fw smbd[12360]: [2007/07/09 20:31:06, 0]
auth/auth_util.c:create_builtin_administrators(785)
Jul  9 20:31:06 fw smbd[12360]:   create_builtin_administrators: Failed to
create Administrators
Jul  9 20:31:06 fw smbd[12360]: [2007/07/09 20:31:06, 0]
auth/auth_util.c:create_builtin_users(751)
Jul  9 20:31:06 fw smbd[12360]:   create_builtin_users: Failed to create Users
Jul  9 20:31:06 fw smbd[12360]: [2007/07/09 20:31:06, 0]
auth/auth_util.c:create_builtin_administrators(785)
Jul  9 20:31:06 fw smbd[12360]:   create_builtin_administrators: Failed to
create Administrators
Jul  9 20:31:06 fw smbd[12360]: [2007/07/09 20:31:06, 0]
auth/auth_util.c:create_builtin_users(751)
Jul  9 20:31:06 fw smbd[12360]:   create_builtin_users: Failed to create Users
Jul  9 20:32:27 fw smbd[14114]: [2007/07/09 20:32:27, 0]
auth/auth_util.c:create_builtin_administrators(785)
Jul  9 20:32:27 fw smbd[14114]:   create_builtin_administrators: Failed to
create Administrators
Jul  9 20:32:27 fw smbd[14114]: [2007/07/09 20:32:27, 0]
auth/auth_util.c:create_builtin_users(751)
Jul  9 20:32:27 fw smbd[14114]:   create_builtin_users: Failed to create Users

Please post a workaround for this problem.  This should be fixed.
Comment 3 Bug Zapper 2008-04-04 01:04:00 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2008-05-06 13:06:03 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.